buildscript {
    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}


version = "2.0.1"

apply plugin: "$bootGroup"
apply plugin: "io.spring.dependency-management"


dependencies {

    implementation project(":common:utils")

    // compile fileTree(dir: "src/main/lib", include: "*.jar")
    implementation("org.apache.commons:commons-lang3:$commonsLang3Version")
    implementation("$bootGroup:spring-boot-starter-web"){
        exclude group:"org.springframework.boot:spring-boot-starter-json"
        exclude group:"com.fasterxml.jackson.core:jackson-databind"
    }
    implementation("$bootGroup:spring-boot-starter-undertow")
    implementation("$bootGroup:spring-boot-starter-websocket")
    implementation("org.apache.logging.log4j:log4j-core:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-jul:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-api:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-slf4j-impl:$log4jVersion")
    implementation ("mysql:mysql-connector-java:$mysqlConnectorVersion")
    implementation "com.alibaba:druid:$alibabaDruidVersion"
    implementation ("com.alibaba:fastjson:$fastjsonVersion")

    implementation "com.baomidou:mybatis-plus-boot-starter:3.1.1"
    implementation "com.baomidou:mybatis-plus-generator:3.1.1"
    implementation ("com.taosdata.jdbc:taos-jdbcdriver:2.0.35"){
        exclude group: 'com.alibaba', module: 'fastjson'
    }
    testImplementation("$bootGroup:spring-boot-starter-test")
    // https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt
    implementation group: "io.jsonwebtoken", name: "jjwt", version: "0.9.0"
    implementation("com.netflix.feign:feign-core:8.18.0")
    implementation("com.netflix.feign:feign-jackson:8.18.0")
    implementation("org.apache.poi:poi-ooxml:3.9")
    implementation("net.sourceforge.jexcelapi:jxl:2.6.12")

    implementation "org.springdoc:springdoc-openapi-ui:1.6.6"
//    implementation "io.springfox:springfox-boot-starter:3.0.0"

}

